# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Manage bulk keys J.P. Morgan’s Managed File Transfer Services (MFTS) provides comprehensive file transfer solutions that reduce cost, simplify integration, and increase the manageability and resiliency of file transfers to and from J.P. Morgan. In this guide, you will learn how to: - Onboard to MFTS - Retrieve and submit a public key for bulk tokenization - Check the status of a bulk tokenization file ## Before you begin Complete the following steps to initiate the bulk tokenization process with MFTS: - Contact your relationship manager to begin the onboarding process for MFTS. - Receive your MFTS folder link and credentials. - Understand [bulk tokenization](/docs/commerce/optimization-protection/capabilities/tokenization/bulk-tokenization) files using MFTS. ## Request a public encryption key Request a public encryption key by using a `GET /bulk-tokens/encryption` request. **HTTP method**: `GET` **Endpoint**: `/bulk-tokens/encryption-key` ```json { "firmPublicKeyText": "-----BEGIN PGP PUBLIC KEY BLOCK----- mI0EZDWyKwEEAPIwHMin2LzgTWj6JGGk6iXPFheSwxmMJQgnhEWNAnLUPNEGzFNh vH+1/J58wgAAUb1+/C/7QuMSZ1kYrH6J7lO5SIf9yMuB8f9BO7ZlXU4FR80ollbh 468dcxORBhQwqCOY7k6J7G9giFofSzcvxdKuKZw8ACpIjyWZDMda/nzFABEBAAG0 KUF1dG9nZW5lcmF0ZWQgS2V5IDx3NTk3NTg0QGNoY2FyMjI4YzI1bjE+iM4EEwEI ADgWIQRv1korTacF2a3w0YNhW9cYyCSY7QUCZDWyKwIbLwULCQgHAgYVCgkICwIE FgIDAQIeAQIXgAAKCRBhW9cYyCSY7UufA/4nOw2DJJcAftRqa62ViBBIJTmh69/X Vjpt6s4RzLGPvsZu6A3Z+pW1KWAk/j+As0bKf4cKIgkdZuMXFcmyN9KYnFRjcPRH Diplb+j+kH+zBv/sFDbfcOBWJ7BViwkXpJnke2O5gsLZU8m42izYK262szQbv828 E9BNpzV2cPX/Mg== =hix+ -----END PGP PUBLIC KEY BLOCK-----" } ``` ## Submit a public encrypted key Submit your public encryption key for bulk tokenization by sending a `POST` call to the `/bulk-tokens/encryption-key` endpoint. **HTTP method**: `POST` **Endpoint**: `/bulk-tokens/encryption-key` ```json { "firmPublicKeyText": "-----BEGIN PGP PUBLIC KEY BLOCK----- mI0EZDWyKwEEAPIwHMin2LzgTWj6JGGk6iXPFheSwxmMJQgnhEWNAnLUPNEGzFNhvH+1/J58wgAAUb1+/C/7QuMSZ1kYrH6J7lO5SIf9yMuB8f9BO7ZlXU4FR80ollbh468dcxORBhQwqCOY7k6J7G9giFofSzcvxdKuKZw8ACpIjyWZDMda/nzFABEBAAG0KUF1dG9nZW5lcmF0ZWQgS2V5IDx3NTk3NTg0QGNoY2FyMjI4YzI1bjE+iM4EEwEIADgWIQRv1korTacF2a3w0YNhW9cYyCSY7QUCZDWyKwIbLwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRBhW9cYyCSY7UufA/4nOw2DJJcAftRqa62ViBBIJTmh69/XVjpt6s4RzLGPvsZu6A3Z+pW1KWAk/j+As0bKf4cKIgkdZuMXFcmyN9KYnFRjcPRHDiplb+j+kH+zBv/sFDbfcOBWJ7BViwkXpJnke2O5gsLZU8m42izYK262szQbv828 E9BNpzV2cPX/Mg===hix+ -----END PGP PUBLIC KEY BLOCK-----" } ``` Response: ```json { "responseStatus": "SUCCESS", "responseCode": "ACCEPTED", "responseMessage": "Request Accepted", } ``` ## Place the file into your MFTS folder Place the file you created using the bulk template and encrypted using your J.P. Morgan public key into the MFTS folder you were provided during onboarding. Ensure that the filename is in this format: **MerchantId-MerchantFileIdentifier-YYYYMMDD.csv.gpg** . Tokenization will pick up the file from MFTS. ## Check the status of a bulk tokenization file Bulk tokenization performs the following actions: - Decrypts the file - Tokenizes the records - Creates a token response file - Encrypts the file using a client key - Places the file in the client's folder You can check the status of your bulk tokenization file by performing a `GET` call to the `/bulk-tokens/{merchant-file-identifier}` endpoint. **HTTP method**: `GET` **Endpoint**: `/bulk-tokens/{replace with your unique merchant-file-identifier}` ```json { "responseStatus": "SUCCESS", "responseCode": "ACCEPTED", "responseMessage": "Upload Successful Batch Id: 5e339850-4a5f-482e-9afb-79870d4056cf" } ``` > For a full list of statuses, refer to [Tokenization response codes](/api/commerce/optimization-protection/tokenization/error-codes) for more information. > ## Related [Bulk tokenization](/docs/commerce/optimization-protection/capabilities/tokenization/how-to/bulk-keys) [Tokenization response codes](/api/commerce/optimization-protection/tokenization/error-codes)